diff --git a/game/core/src/main/java/net/minecraft/core/block/Blocks.java b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
index 7d1b75589..adae62878 100644
--- a/game/core/src/main/java/net/minecraft/core/block/Blocks.java
+++ b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
@@ -1410,25 +1409,25 @@ public final class Blocks {
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_DIAMOND = register("stairs.brick.diamond", "minecraft:block/stairs_brick_diamond", 1049, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_DIAMOND))
-        .withSound(BlockSounds.PERMAFROST).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.PERMAFROST).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_IRON = register("stairs.brick.iron", "minecraft:block/stairs_brick_iron", 1050, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_IRON))
-        .withSound(BlockSounds.METAL).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.METAL).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_GOLD = register("stairs.brick.gold", "minecraft:block/stairs_brick_gold", 1051, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_GOLD))
-        .withSound(BlockSounds.METAL).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.METAL).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_STEEL = register("stairs.brick.steel", "minecraft:block/stairs_brick_steel", 1052, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_STEEL))
-        .withSound(BlockSounds.METAL).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.METAL).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_LAPIS = register("stairs.brick.lapis", "minecraft:block/stairs_brick_lapis", 1053, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_LAPIS))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.STONE).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_OLIVINE = register("stairs.brick.olivine", "minecraft:block/stairs_brick_olivine", 1054, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_OLIVINE))
-        .withSound(BlockSounds.PERMAFROST).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.PERMAFROST).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final @NotNull Block<BlockLogicStairs> STAIRS_BRICK_QUARTZ = register("stairs.brick.quartz", "minecraft:block/stairs_brick_quartz", 1055, (BlockLogicSupplier<BlockLogicStairs>)b -> new BlockLogicStairs(b, Blocks.BRICK_QUARTZ))
-        .withSound(BlockSounds.PERMAFROST).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true)
+        .withSound(BlockSounds.PERMAFROST).withLitInteriorSurface(true)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final @NotNull Block<?> BOULDER_MAGMATIC = register("boulder.magmatic", "minecraft:block/boulder_magmatic", 1060, BlockLogicBoulderMagmatic::new)
@@ -1439,10 +1438,10 @@ public final class Blocks {
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.SULFURIC_FIRE_OVERLAY_SOURCE);
 
     public static final @NotNull Block<BlockLogicFluid> FLUID_ACID_FLOWING = register("fluid.acid.flowing", "minecraft:block/fluid_acid_flowing", 1062, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidFlowing(b, Materials.ACID, new FluidAcid(), Blocks.FLUID_ACID_STILL))
-        .withHardness(100.0F).withLitInteriorSurface(true).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange()
+        .withHardness(100.0F).withLitInteriorSurface(true).withDisabledStats()
         .withTags(BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.IS_ACID);
     public static final @NotNull Block<BlockLogicFluid> FLUID_ACID_STILL = register("fluid.acid.still", "minecraft:block/fluid_acid_still", 1063, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidStill(b, Materials.ACID, new FluidAcid(), Blocks.FLUID_ACID_FLOWING))
-        .withHardness(100.0F).withLitInteriorSurface(true).withDisabledStats().withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> FLUID_ACID_FLOWING)
+        .withHardness(100.0F).withLitInteriorSurface(true).withDisabledStats().setStatParent(() -> FLUID_ACID_FLOWING)
         .withTags(BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.IS_ACID);
 
     public static final Block<?> EMBER = register("ember", "minecraft:block/ember", 1065, block -> new BlockLogicEmber(block, Materials.STONE))
@@ -1492,19 +1491,19 @@ public final class Blocks {
         .withSound(BlockSounds.STONE).withHardness(1.8F).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.CAVES_CUT_THROUGH, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.NETHER_MOBS_SPAWN, BlockTags.NETHER_SURFACE_BLOCK, BlockTags.INFINITE_BURN_SULFURIC);
     public static final Block<?> SLAB_BRIMSTONE = register("slab.brimstone", "minecraft:block/slab_brimstone", 1087, block -> new BlockLogicSlab(block, BRIMSTONE))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
+        .withSound(BlockSounds.STONE).withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.INFINITE_BURN_SULFURIC);
     public static final Block<?> STAIRS_BRIMSTONE = register("stairs.brimstone", "minecraft:block/stairs_brimstone", 1088, block -> new BlockLogicStairs(block, BRIMSTONE))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
+        .withSound(BlockSounds.STONE).withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.INFINITE_BURN_SULFURIC);
     public static final Block<?> BRICK_BRIMSTONE = register("brick.brimstone", "minecraft:block/brick_brimstone", 1089, block -> new BlockLogicBrimstone(block, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(1.8F).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.CAVES_CUT_THROUGH, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.CHAINLINK_FENCES_CONNECT, BlockTags.NETHER_MOBS_SPAWN, BlockTags.NETHER_SURFACE_BLOCK, BlockTags.INFINITE_BURN_SULFURIC);
     public static final Block<?> SLAB_BRICK_BRIMSTONE = register("slab.brick.brimstone", "minecraft:block/slab_brick_brimstone", 1090, block -> new BlockLogicSlab(block, BRICK_BRIMSTONE))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
+        .withSound(BlockSounds.STONE).withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.INFINITE_BURN_SULFURIC);
     public static final Block<?> STAIRS_BRICK_BRIMSTONE = register("stairs.brick.brimstone", "minecraft:block/stairs_brick_brimstone", 1091, block -> new BlockLogicStairs(block, BRICK_BRIMSTONE))
-        .withSound(BlockSounds.STONE).withDisabledNeighborNotifyOnMetadataChange().withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
+        .withSound(BlockSounds.STONE).withLitInteriorSurface(true).withOverrideColor(MaterialColor.paintedBlack)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.INFINITE_BURN_SULFURIC);
     public static final @NotNull Block<?> BRIMTHAW = register("brimthaw", "minecraft:block/brimthaw", 1092, BlockLogicBrimthaw::new)
         .withSound(BlockSounds.STONE).withHardness(1.25F).withBlastResistance(7F).withLightEmission(10).withOverrideColor(MaterialColor.paintedYellow)
@@ -1515,73 +1514,73 @@ public final class Blocks {
         .withTags(BlockTags.MINEABLE_BY_SHOVEL, BlockTags.NETHER_SURFACE_BLOCK, BlockTags.NETHER_MOBS_SPAWN, BlockTags.CAVES_CUT_THROUGH, BlockTags.INFINITE_BURN_SULFURIC);
 
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_BASALT = register("pressureplate.cobble.basalt", "minecraft:block/pressure_plate_cobble_basalt", 1100, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.BASALT))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_LIMESTONE = register("pressureplate.cobble.limestone", "minecraft:block/pressure_plate_cobble_limestone", 1101, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.LIMESTONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_GRANITE = register("pressureplate.cobble.granite", "minecraft:block/pressure_plate_cobble_granite", 1102, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.GRANITE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_PERMAFROST = register("pressureplate.cobble.permafrost", "minecraft:block/pressure_plate_cobble_permafrost", 1103, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.PERMAFROST))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_NETHERRACK = register("pressureplate.cobble.netherrack", "minecraft:block/pressure_plate_cobble_netherrack", 1104, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.NETHERRACK))
-        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.1F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_GLOOMSTONE = register("pressureplate.cobble.gloomstone", "minecraft:block/pressure_plate_cobble_gloomstone", 1105, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.GLOOMSTONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     // 1106 and 1107 reserved for cobbled sandstone and brimstone
 
     public static final @NotNull Block<?> PRESSURE_PLATE_BASALT = register("pressureplate.basalt", "minecraft:block/pressure_plate_basalt", 1110, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.BASALT))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_LIMESTONE = register("pressureplate.limestone", "minecraft:block/pressure_plate_limestone", 1111, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.LIMESTONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_GRANITE = register("pressureplate.granite", "minecraft:block/pressure_plate_granite", 1112, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.GRANITE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_PERMAFROST = register("pressureplate.permafrost", "minecraft:block/pressure_plate_permafrost", 1113, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.PERMAFROST))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_NETHERRACK = register("pressureplate.netherrack", "minecraft:block/pressure_plate_netherrack", 1114, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.NETHERRACK))
-        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.1F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_GLOOMSTONE = register("pressureplate.gloomstone", "minecraft:block/pressure_plate_gloomstone", 1115, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.GLOOMSTONE))
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_SANDSTONE = register("pressureplate.sandstone", "minecraft:block/pressure_plate_sandstone", 1116, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.STONE))
-        .withSound(BlockSounds.STONE).withHardness(0.4F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.4F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> PRESSURE_PLATE_BRIMSTONE = register("pressureplate.brimstone", "minecraft:block/pressure_plate_brimstone", 1117, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.STONE))
-        .withSound(BlockSounds.STONE).withHardness(0.9F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.9F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static final @NotNull Block<?> BUTTON_BASALT = register("button.basalt", "minecraft:block/button_basalt", 1120, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_LIMESTONE = register("button.limestone", "minecraft:block/button_limestone", 1121, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_GRANITE = register("button.granite", "minecraft:block/button_granite", 1122, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_PERMAFROST = register("button.permafrost", "minecraft:block/button_permafrost", 1123, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_NETHERRACK = register("button.netherrack", "minecraft:block/button_netherrack", 1124, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.1F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_GLOOMSTONE = register("button.gloomstone", "minecraft:block/button_gloomstone", 1125, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.5F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_SANDSTONE = register("button.sandstone", "minecraft:block/button_sandstone", 1126, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.4F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.4F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
     public static final @NotNull Block<?> BUTTON_BRIMSTONE = register("button.brimstone", "minecraft:block/button_brimstone", 1127, BlockLogicButton::new)
-        .withSound(BlockSounds.STONE).withHardness(0.9F).withDisabledNeighborNotifyOnMetadataChange()
+        .withSound(BlockSounds.STONE).withHardness(0.9F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
 
     public static <T extends BlockLogic> Block<T> register(String key, String namespaceId, int id, BlockLogicSupplier<T> logicSupplier) {
@@ -1607,7 +1606,6 @@ public final class Blocks {
             Arrays.fill(Blocks.isEntityTile, false);
             Arrays.fill(Blocks.lightEmission, 0);
             Arrays.fill(Blocks.lightBlock, 0);
-            Arrays.fill(Blocks.neighborNotifyOnMetadataChangeDisabled, false);
             Arrays.fill(Blocks.shouldTick, false);
         }
         translucent[0] = true;
@@ -1622,7 +1620,6 @@ public final class Blocks {
         Blocks.translucent[container.id()] = !container.getMaterial().blocksLight();
         Blocks.isEntityTile[container.id()] = container.isEntityTile;
         Blocks.lightEmission[container.id()] = container.emission;
-        Blocks.neighborNotifyOnMetadataChangeDisabled[container.id()] = container.disabledNeighborMetaNotify;
         Blocks.shouldTick[container.id()] = container.shouldTick;
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntity.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntity.java
index f6be2916f..dc471bfe8 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntity.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntity.java
@@ -188,4 +188,8 @@ public abstract class TileEntity implements ICarriable
         return new CarriedBlock(holder, currentBlock, currentMeta, this);
     }
 
+    public void notifyBlocksOfNeighborChange() {
+        if (this.worldObj == null) return;
+        this.worldObj.notifyBlocksOfNeighborChange(this.tilePos, this.getBlock()); 
+    }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
index 3f44be8fb..8ebffe931 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityFlag.java
@@ -6,6 +6,7 @@ import java.util.UUID;
 import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.tags.ListTag;
 
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
@@ -68,7 +69,9 @@ public class TileEntityFlag extends TileEntity
     }
 
     public void setFlipped(boolean flag) {
+        if (this.flipped == flag) return;
         this.flipped = flag;
+        this.notifyBlocksOfNeighborChange();
     }
 
     public boolean getFlipped() {
@@ -129,7 +132,7 @@ public class TileEntityFlag extends TileEntity
                 items[slot] = ItemStack.readItemStackFromNbt(compound);
             }
         }
-        itemsChanges();
+        itemsChanged();
     }
 
     public void copyFlagNBT(CompoundTag tag) {
@@ -198,7 +201,7 @@ public class TileEntityFlag extends TileEntity
             {
                 ItemStack stack = items[slot];
                 items[slot] = null;
-                itemsChanges();
+                itemsChanged();
                 setChanged();
                 return stack;
             }
@@ -209,7 +212,7 @@ public class TileEntityFlag extends TileEntity
                 {
                     items[slot] = null;
                 }
-                itemsChanges();
+                itemsChanged();
                 setChanged();
                 return splitStack;
             }
@@ -230,11 +233,12 @@ public class TileEntityFlag extends TileEntity
     {
         slot -= 36; // This seems so wrong and will almost certainly cause an issue at some point
         items[slot] = stack;
-        itemsChanges();
+        itemsChanged();
         setChanged();
+        this.notifyBlocksOfNeighborChange();
     }
 
-    private void itemsChanges() {
+    private void itemsChanged() {
         activeDyes = 0;
         for (int i = 0; i < items.length; i++) {
             ItemStack s = items[i];
@@ -251,6 +255,7 @@ public class TileEntityFlag extends TileEntity
             colorHash ^= flagColors[i] << (8 * (i & 0b11));
         }
         isDirty = true;
+        this.notifyBlocksOfNeighborChange();
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
index 557c0796f..2d8719ed7 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMeshGold.java
@@ -85,6 +85,7 @@ public class TileEntityMeshGold extends TileEntityMesh {
         }
         filterItem = null;
         setChanged();
+        this.notifyBlocksOfNeighborChange();
         return success | !wasNull;
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMobSpawner.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMobSpawner.java
index 923f9ec7b..b6f43313c 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMobSpawner.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityMobSpawner.java
@@ -45,6 +45,7 @@ public class TileEntityMobSpawner extends TileEntity {
         } catch (Exception e) {
             LOGGER.error("Failed to convert legacy mobspawner id!", e);
         }
+        this.notifyBlocksOfNeighborChange();
     }
 
     public boolean anyPlayerInRange() {
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntitySign.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntitySign.java
index fb64b5fa6..d3f7f5568 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntitySign.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntitySign.java
@@ -70,7 +70,12 @@ public class TileEntitySign extends TileEntity
             this.owner = ownerUUID;
         }
     }
-    
+
+    @Override
+    public void setChanged() {
+        super.setChanged();
+    }
+
     public boolean isEditableBy(Player player)
     {
         return player.uuid.equals(owner) && !locked;
@@ -87,13 +92,8 @@ public class TileEntitySign extends TileEntity
 
     public void setPicture(@Nullable EnumSignPicture picture)
     {
-        if (picture == null)
-        {
-            selectedPicture = 0;
-            return;
-        }
-
-        selectedPicture = picture.getId();
+        this.selectedPicture = (picture == null) ? 0 : picture.getId();
+        this.notifyBlocksOfNeighborChange();
     }
     
     public TextFormatting getColor()
@@ -106,6 +106,7 @@ public class TileEntitySign extends TileEntity
     public void setColor(TextFormatting color)
     {
         selectedColor = color.id;
+        this.notifyBlocksOfNeighborChange();
     }
 
     public boolean isGlowing() {
@@ -114,6 +115,7 @@ public class TileEntitySign extends TileEntity
 
     public void setGlowing(boolean glowing) {
         this.glowing = glowing;
+        this.notifyBlocksOfNeighborChange();
     }
 
     public boolean isLocked() {
@@ -122,6 +124,7 @@ public class TileEntitySign extends TileEntity
 
     public void setLocked(boolean locked) {
         this.locked = locked;
+        this.notifyBlocksOfNeighborChange();
     }
 
     public void finalizeEditor(@NotNull Player editor) {
@@ -132,6 +135,7 @@ public class TileEntitySign extends TileEntity
         if (!allowColorCode) for(int i = 0; i < 4; i++) {
             signText[i] = TextFormatting.removeAllColorFormatting(signText[i]);
         }
+        this.notifyBlocksOfNeighborChange();
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityStatue.java b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityStatue.java
index 086a2a629..9489ce6a2 100644
--- a/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityStatue.java
+++ b/game/core/src/main/java/net/minecraft/core/block/entity/TileEntityStatue.java
@@ -125,6 +125,7 @@ public class TileEntityStatue
     public void setPose(final @NotNull Pose pose) {
         this.pose = pose;
         setChanged();
+        this.notifyBlocksOfNeighborChange();
     }
 
     public void nextPose() {
@@ -140,6 +141,7 @@ public class TileEntityStatue
     public void setItemInArmorSlot(final @NotNull HumanArmorShape slot, final @Nullable ItemStack item) {
         this.armorPieces[slot.getSlotIndex()] = item;
         setChanged();
+        this.notifyBlocksOfNeighborChange();
     }
 
     @Override
@@ -163,6 +165,7 @@ public class TileEntityStatue
     @Override
     public void setHeldItem(@Nullable ItemStack item) {
         this.heldItem = item;
+        this.notifyBlocksOfNeighborChange();
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonMoving.java b/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonMoving.java
index 63372dce4..fc2e937fc 100644
--- a/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonMoving.java
+++ b/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonMoving.java
@@ -134,16 +134,12 @@ public class BlockLogicPistonMoving extends BlockLogic {
     }
 
     @Override
-    public @NotNull MatcherSnapshot resolveForMatcher(@NotNull World world, @NotNull TilePosc tilePos) {
-        if (world.getTileEntity(tilePos) instanceof TileEntityMovingPistonBlock moving) {
-            final Block<?> block = moving.movingBlock();
-            return new MatcherSnapshot(block, moving.movingBlockData(), block.getLogic());
-        }
-        return super.resolveForMatcher(world, tilePos);
+    public int getPistonPushReaction(@NotNull World world, @NotNull TilePosc tilePos) {
+        return Material.PISTON_CANT_PUSH;
     }
 
     @Override
-    public int getPistonPushReaction(@NotNull World world, @NotNull TilePosc tilePos) {
-        return Material.PISTON_CANT_PUSH;
+    public boolean isEquivalent(@NotNull World world, @NotNull TilePosc thisPos, @NotNull TilePosc thatPos) {
+        return false;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/item/ItemDoor.java b/game/core/src/main/java/net/minecraft/core/item/ItemDoor.java
index 73777cce1..b10687c05 100644
--- a/game/core/src/main/java/net/minecraft/core/item/ItemDoor.java
+++ b/game/core/src/main/java/net/minecraft/core/item/ItemDoor.java
@@ -2,11 +2,8 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogicDoor;
-import net.minecraft.core.block.entity.TileEntityActivator;
-import net.minecraft.core.block.support.ISupport;
 import net.minecraft.core.block.support.PartialSupport;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
@@ -16,8 +13,6 @@ import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-import java.util.Random;
-
 public class ItemDoor extends ItemPlaceablePair {
     public ItemDoor(@NotNull String name, @NotNull String namespaceId, int id, @NotNull Block<? extends BlockLogicDoor> doorBlockBottom, @NotNull Block<? extends BlockLogicDoor> doorBlockTop) {
         super(name, namespaceId, id, doorBlockBottom, doorBlockTop);
@@ -86,8 +81,6 @@ public class ItemDoor extends ItemPlaceablePair {
     @Override
     public boolean canPlaceDirectlyAtPosition(@NotNull ItemStack selfStack, @NotNull World world,
             @Nullable Player player, @NotNull TilePosc blockPos, @NotNull Side side, double xHit, double yHit) {
-        return 
-            IPlaceable.canPlaceBlockDirectlyAtPosition(this.blockA, world, blockPos, side) &&
-            IPlaceable.canPlaceBlockDirectlyAtPosition(this.blockA, world, blockPos, side);
+        return world.canPlaceInsideBlock(blockPos) && world.canPlaceInsideBlock(blockPos.up(new TilePos()));
     }
 }
